#[repr(C)]
pub struct HtpCfg {
    _private: [u8; 0],
}

extern "C" {
    pub fn htp_config_create() -> *mut HtpCfg;
    pub fn htp_config_destroy(cfg: *mut HtpCfg);
}

#[cfg(test)]
mod tests {

    use super::*;

    #[test]
    fn test_htp_config_create() {
        unsafe {
            let cfg = htp_config_create();
            assert!(!cfg.is_null());
            htp_config_destroy(cfg);
        }
    }
}
